E-MailRelay

Classes | Public Member Functions | List of all members
GPop::Store Class Reference

A message store. More...

`#include <gpopstore.h>`

## Classes
struct | Config
| Configuration structure for GPop::Store. More...

## Public Member Functions
| Store (const G::Path &spool_dir, const Config &)
| Constructor. Throws InvalidDirectory. More...
void | prepare (const std::string &user)
| Prepares the store for the newly-authenticated user. More...
G::Path | dir () const
| Returns the spool directory path. More...
bool | allowDelete () const
| Returns true if files can be deleted. More...
bool | byName () const
| Returns true if the spool directory is affected by the user name. More...
| Store (const Store &)=delete
| Store (Store &&)=delete
Store & | operator= (const Store &)=delete
Store & | operator= (Store &&)=delete

## Detailed Description

A message store.

Unlike the SMTP message store the POP message store allows content files to be in the envelope file's parent directory.

Definition at line 46 of file gpopstore.h.

## Constructor & Destructor Documentation

## ◆ Store()

GPop::Store::Store | ( | const G::Path & | spool_dir,
|  | const Config & | config
| ) |  |

Constructor. Throws InvalidDirectory.

Definition at line 64 of file gpopstore.cpp.

## Member Function Documentation

## ◆ allowDelete()

bool GPop::Store::allowDelete | ( |  | ) | const

Returns true if files can be deleted.

Definition at line 143 of file gpopstore.cpp.

## ◆ byName()

bool GPop::Store::byName | ( |  | ) | const

Returns true if the spool directory is affected by the user name.

Definition at line 148 of file gpopstore.cpp.

## ◆ dir()

G::Path GPop::Store::dir | ( |  | ) | const

Returns the spool directory path.

Definition at line 138 of file gpopstore.cpp.

## ◆ prepare()

void GPop::Store::prepare | ( | const std::string & | user | ) |

Prepares the store for the newly-authenticated user.

Creates a pop-by-name sub-directory if necessary.

Definition at line 90 of file gpopstore.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.cpp